Page MenuHomePhabricator

[betalabs] Special:Preferences OutOfBoundsException for any Special pages after switching to Minerva skin: "SkinOption tabsOnSpecials doesn't exist"
Closed, ResolvedPublic

Description

In betalabs change the skin to Minerva (in Preferences-Appearance).
The following error will be displayed and any Special page after that will display the same error (even Logout):

MediaWiki internal error.

Original exception: [XPoTfqwQBHcAAHcx0tcAAAAC] /wiki/Special:Preferences OutOfBoundsException from line 79 of /srv/mediawiki/php-master/skins/MinervaNeue/includes/SkinOptions.php: SkinOption tabsOnSpecials doesn't exist
Backtrace:
#0 /srv/mediawiki/php-master/skins/MinervaNeue/includes/skins/MinervaTemplate.php(300): MediaWiki\Minerva\SkinOptions->get(string)
#1 /srv/mediawiki/php-master/skins/MinervaNeue/includes/skins/MinervaTemplate.php(269): MinervaTemplate->showTalkTabs(boolean, MediaWiki\Minerva\SkinOptions)
#2 /srv/mediawiki/php-master/skins/MinervaNeue/includes/skins/MinervaTemplate.php(47): MinervaTemplate->render(array)
#3 /srv/mediawiki/php-master/includes/skins/SkinTemplate.php(230): MinervaTemplate->execute()
#4 /srv/mediawiki/php-master/includes/OutputPage.php(2749): SkinTemplate->outputPage()
#5 /srv/mediawiki/php-master/includes/MediaWiki.php(872): OutputPage->output(boolean)
#6 /srv/mediawiki/php-master/includes/MediaWiki.php(884): Closure$MediaWiki::main()
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(515): MediaWiki->main()
#8 /srv/mediawiki/php-master/index.php(42): MediaWiki->run()
#9 /srv/mediawiki/w/index.php(3): include(string)
#10 {main}

Exception caught inside exception handler: [XPoTfqwQBHcAAHcx0tcAAAAC] /wiki/Special:Preferences OutOfBoundsException from line 79 of /srv/mediawiki/php-master/skins/MinervaNeue/includes/SkinOptions.php: SkinOption tabsOnSpecials doesn't exist
Backtrace:
#0 /srv/mediawiki/php-master/skins/MinervaNeue/includes/skins/MinervaTemplate.php(300): MediaWiki\Minerva\SkinOptions->get(string)
#1 /srv/mediawiki/php-master/skins/MinervaNeue/includes/skins/MinervaTemplate.php(269): MinervaTemplate->showTalkTabs(boolean, MediaWiki\Minerva\SkinOptions)
#2 /srv/mediawiki/php-master/skins/MinervaNeue/includes/skins/MinervaTemplate.php(47): MinervaTemplate->render(array)
#3 /srv/mediawiki/php-master/includes/skins/SkinTemplate.php(230): MinervaTemplate->execute()
#4 /srv/mediawiki/php-master/includes/OutputPage.php(2749): SkinTemplate->outputPage()
#5 /srv/mediawiki/php-master/includes/exception/MWExceptionRenderer.php(134): OutputPage->output()
#6 /srv/mediawiki/php-master/includes/exception/MWExceptionRenderer.php(53): MWExceptionRenderer::reportHTML(OutOfBoundsException)
#7 /srv/mediawiki/php-master/includes/exception/MWExceptionHandler.php(121): MWExceptionRenderer::output(OutOfBoundsException, integer)
#8 /srv/mediawiki/php-master/includes/exception/MWExceptionHandler.php(195): MWExceptionHandler::report(OutOfBoundsException)
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(542): MWExceptionHandler::handleException(OutOfBoundsException)
#10 /srv/mediawiki/php-master/index.php(42): MediaWiki->run()
#11 /srv/mediawiki/w/index.php(3): include(string)
#12 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2019, 7:47 AM
Aklapper renamed this task from [betalabs] Special:Preferences OutOfBoundsException for any Special pages after switching to Minerva skin to [betalabs] Special:Preferences OutOfBoundsException for any Special pages after switching to Minerva skin: "SkinOption tabsOnSpecials doesn't exist".Jun 7 2019, 10:23 AM
pmiazga claimed this task.Jun 7 2019, 11:38 AM
pmiazga triaged this task as Unbreak Now! priority.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 7 2019, 11:38 AM

Change 515041 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Define default OPTION_TABS_ON_SPECIALS option

https://gerrit.wikimedia.org/r/515041

Change 515041 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Define default OPTION_TABS_ON_SPECIALS option

https://gerrit.wikimedia.org/r/515041

@Etonkovidova it's fixed now, thanks for submitting the phab ticket.

@Etonkovidova it's fixed now, thanks for submitting the phab ticket.

No problem - thx for the patch!

nray claimed this task.Jun 10 2019, 5:05 PM
nray closed this task as Resolved.Jun 11 2019, 6:00 PM
nray removed nray as the assignee of this task.
nray added a subscriber: nray.